QGIS Application - Bug report #20588
ods tables are not loaded correctly in QGIS 3.4
2018-11-22 09:05 AM - Steve Gréssl

Status: Closed

Priority: High

Assignee: Even Rouault

Category: Data Provider

Affected QGIS version:3.5(master) Regression?: Yes
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 28408
Description

New description:

Add a table in ods format in QGIS 3.4.1, fields and column are not displayed correctly (try the attached dataset for example). It works in

2.18 and worked until 3.2.

Old description:

Hi, when loading ods tables, table data disappears. Only the header will be shown after opening the table. | load a qgz file original made

with QGIS 3.2.2. In QGIS 3.2.2 everything is fine with this file. Table data are joined in qgz file with a shape file. In the table of the shape

file ods data also disappears.

Many thanx for your help!
Steve

History

#1 - 2018-11-23 12:49 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please attach a sample project with data.

#2 - 2018-11-26 08:43 AM - Steve Grossl
- File qgis-example.zip added

Hi Giovanni,

you will find the example in the attached zip-file. It contains:

- shape-File

- ods-table

- qgz-File example-qgis341.9gz (QGIS Version 3.4.1) :~(

- qgz-File example-qgis322.qgz (QGIS Version 3.2.2, where everything is fine..)

Many thanx!
Cheers Steve

#3 - 2018-11-26 12:55 PM - Giovanni Manghi
- Regression? changed from No to Yes
- Operating System deleted (windows 10)

- Priority changed from Normal to High

- Status changed from Feedback to Open

- Category changed from Vectors to Data Provider

- Description updated

- Subject changed from ods table data disappears in QGIS 3.4 to ods tables are not loaded correctly in QGIS 3.4

#4 - 2019-01-29 11:09 AM - Peter Petrik
- Assignee set to Peter Petrik

- Status changed from Open to In Progress
- Affected QGIS version changed from 3.4.1 to 3.5(master)

can reproduce on Mac with 3.5 master

change caused upstream by https://github.com/OSGeo/gdal/commit/758dff893c1336e88fbbb6334da34b7d8d2e0226

INFO: Open of "qgis-example/testtable.ods’

using driver ‘ODS' successful.
ERROR 6: Invalid value for number-columns-repeated = 16376
1: Tabelle1 (None)

ogrinfo --version
GDAL 2.3.2, released 2018/09/21

#5 - 2019-01-29 12:53 PM - Peter Petrik
- Resolution set to up/downstream

upstream bug report: https://github.com/OSGeo/gdal/issues/1243

The workaround is to open the ods file with the newest Libre Office and resave it. With this | was able to open it in QGIS 3.5 without any problems.

#6 - 2019-01-29 12:57 PM - Peter Petrik
- Assignee deleted (Peter Petrik)

#7 - 2019-01-29 05:00 PM - Peter Petrik
- Assignee set to Peter Petrik

#8 - 2019-02-01 11:10 PM - Even Rouault

- Assignee changed from Peter Petrik to Even Rouault

#9 - 2019-02-01 11:55 PM - Even Rouault

- Status changed from In Progress to Closed

Fixed in GDAL master per https:/github.com/OSGeo/gdal/commit/ee6278f8dd1be7064db87be87fe31fa8943730ec and release/2.4 per
https://github.com/OSGeo/gdal/commit/4e84cd44868e3b91def41057b7adf28767b4c273

2025-04-27 2/3


https://github.com/OSGeo/gdal/commit/758dff893c1336e88fbbb6334da34b7d8d2e0226
Files

qgis-example.zip 202 KB 2018-11-26 Steve Grossl
